package com.gingersoft.coldchain_module.mvp.model.bean;

import com.gingersoft.gsa.cloud.common.core.print.bean.OrderDetails;

public class FoodDetailsTranBean {
    private String odsId;
    private String PRICE;
    private String num;
    private String pid;
    private String PRODUCT_NAME;

    public FoodDetailsTranBean(String odsId, String PRICE, String num, String pid, String PRODUCT_NAME) {
        this.odsId = odsId;
        this.PRICE = PRICE;
        this.num = num;
        this.pid = pid;
        this.PRODUCT_NAME = PRODUCT_NAME;
    }

    public static FoodDetailsTranBean getByPRODUCTNAMEBean(OrderDetails.DataBean.PRODUCTNAMEBean bean) {
        return new FoodDetailsTranBean(bean.getOdsId(), bean.getPRICE(), bean.getNum(), bean.getPid(), bean.getPRODUCT_NAME());
    }

    public static FoodDetailsTranBean getByChildBeanX(OrderDetails.DataBean.PRODUCTNAMEBean.ChildBeanX bean) {
        return new FoodDetailsTranBean(bean.getOdsId(), bean.getPRICE(), bean.getNum(), bean.getPid(), bean.getPRODUCT_NAME());
    }

    public static FoodDetailsTranBean getByChildBean(OrderDetails.DataBean.PRODUCTNAMEBean.ChildBeanX.ChildBean bean) {
        return new FoodDetailsTranBean(bean.getOdsId(), bean.getPRICE(), bean.getNum(), bean.getPid(), bean.getPRODUCT_NAME());

    }

    public String getOdsId() {
        return odsId;
    }

    public void setOdsId(String odsId) {
        this.odsId = odsId;
    }

    public String getPRICE() {
        return PRICE;
    }

    public void setPRICE(String PRICE) {
        this.PRICE = PRICE;
    }

    public String getNum() {
        return num;
    }

    public void setNum(String num) {
        this.num = num;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getPRODUCT_NAME() {
        return PRODUCT_NAME;
    }

    public void setPRODUCT_NAME(String PRODUCT_NAME) {
        this.PRODUCT_NAME = PRODUCT_NAME;
    }
}
